### Method

# AppStream Component is_compulsory_for_desktop

#### Declaration [src]

    gboolean
    as_component_is_compulsory_for_desktop (
      AsComponent* cpt,
      const gchar* desktop
    )

#### Description [src]

Check if this component is compulsory for the given desktop.

#### Parameters

`desktop`

  Type: `const gchar*`

  The desktop-id to test for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if compulsory, `FALSE` otherwise.